Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types
Class ZipFileSet

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.DataType
                  |
                  +--org.apache.tools.ant.types.AbstractFileSet
                        |
                        +--org.apache.tools.ant.types.FileSet
                              |
                              +--org.apache.tools.ant.types.ZipFileSet

All Implemented Interfaces:
  java.lang.Cloneable, SelectorContainer

public class ZipFileSet
extends FileSet

A ZipFileSet is a FileSet with extra attributes useful in the context of Zip/Jar tasks. A ZipFileSet extends FileSets with the ability to extract a subset of the entries of a Zip file for inclusion in another Zip file. It also includes a prefix attribute which is prepended to each entry in the output Zip file. Since ant 1.6 ZipFileSet can be defined with an id and referenced in packaging tasks

Field Summary
`static int` | `DEFAULT_DIR_MODE` Default value for the dirmode attribute.
`static int` | `DEFAULT_FILE_MODE` Default value for the filemode attribute.

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`` | `ZipFileSet()`
`protected` | `ZipFileSet(FileSet fileset)`
`protected` | `ZipFileSet(ZipFileSet fileset)`

Method Summary
`java.lang.Object` | `clone()` Return a ZipFileSet that has the same properties as this one.
`DirectoryScanner` | `getDirectoryScanner(Project p)` Return the DirectoryScanner associated with this FileSet.
`int` | `getDirMode(Project p)`
`int` | `getFileMode(Project p)`
`java.lang.String` | `getFullpath(Project p)` Return the full pathname of the single entry in this fileset.
`java.lang.String` | `getPrefix(Project p)` Return the prefix prepended to entries in the zip file.
`protected AbstractFileSet` | `getRef(Project p)` A ZipFileset accepts another ZipFileSet or a FileSet as reference FileSets are often used by the war task for the lib attribute
`java.io.File` | `getSrc(Project p)` Get the zip file from which entries will be extracted.
`boolean` | `hasDirModeBeenSet()` Whether the user has specified the mode explicitly.
`boolean` | `hasFileModeBeenSet()` Whether the user has specified the mode explicitly.
`void` | `setDir(java.io.File dir)` Set the directory for the fileset.
`void` | `setDirMode(java.lang.String octalString)` A 3 digit octal string, specify the user, group and other modes in the standard Unix fashion; optional, default=0755
`void` | `setFileMode(java.lang.String octalString)` A 3 digit octal string, specify the user, group and other modes in the standard Unix fashion; optional, default=0644
`void` | `setFullpath(java.lang.String fullpath)` Set the full pathname of the single entry in this fileset.
`void` | `setPrefix(java.lang.String prefix)` Prepend this prefix to the path for each zip entry.
`void` | `setSrc(java.io.File srcFile)` Set the source Zip file for the zipfileset.

Methods inherited from class org.apache.tools.ant.types.AbstractFileSet
`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDataTypeName, getDefaultexcludes, getDir, getSelectors, hasPatterns, hasSelectors, isFollowSymlinks, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFile, setFollowSymlinks, setIncludes, setIncludesfile, setRefid, setupDirectoryScanner, toString`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_DIR_MODE

    public static final int DEFAULT_DIR_MODE

  Default value for the dirmode attribute.

  Since:
    Ant 1.5.2
  See Also:
    Constant Field Values

### DEFAULT_FILE_MODE

    public static final int DEFAULT_FILE_MODE

  Default value for the filemode attribute.

  Since:
    Ant 1.5.2
  See Also:
    Constant Field Values

Constructor Detail

### ZipFileSet

    public ZipFileSet()

### ZipFileSet

    protected ZipFileSet(FileSet fileset)

### ZipFileSet

    protected ZipFileSet(ZipFileSet fileset)

Method Detail

### setDir

    public void setDir(java.io.File dir)
                throws BuildException

  Set the directory for the fileset. Prevents both "dir" and "src" from being specified.

  Overrides:
    `setDir` in class `AbstractFileSet`
  Parameters:
    `dir` - the directory's `File` instance.
    `BuildException`

### setSrc

    public void setSrc(java.io.File srcFile)

  Set the source Zip file for the zipfileset. Prevents both "dir" and "src" from being specified.

  Parameters:
    `srcFile` - The zip file from which to extract entries.

### getSrc

    public java.io.File getSrc(Project p)

  Get the zip file from which entries will be extracted. References are not followed, since it is not possible to have a reference to a ZipFileSet, only to a FileSet.

### setPrefix

    public void setPrefix(java.lang.String prefix)

  Prepend this prefix to the path for each zip entry. Prevents both prefix and fullpath from being specified

  Parameters:
    `prefix` - The prefix to prepend to entries in the zip file.

### getPrefix

    public java.lang.String getPrefix(Project p)

  Return the prefix prepended to entries in the zip file.

### setFullpath

    public void setFullpath(java.lang.String fullpath)

  Set the full pathname of the single entry in this fileset. Prevents both prefix and fullpath from being specified

  Parameters:
    `fullpath` - the full pathname of the single entry in this fileset.

### getFullpath

    public java.lang.String getFullpath(Project p)

  Return the full pathname of the single entry in this fileset.

### getDirectoryScanner

    public DirectoryScanner getDirectoryScanner(Project p)

  Return the DirectoryScanner associated with this FileSet. If the ZipFileSet defines a source Zip file, then a ZipScanner is returned instead.

  Overrides:
    `getDirectoryScanner` in class `AbstractFileSet`
  Returns:
    a `DirectoryScanner` instance.

### setFileMode

    public void setFileMode(java.lang.String octalString)

  A 3 digit octal string, specify the user, group and other modes in the standard Unix fashion; optional, default=0644

  Since:
    Ant 1.5.2

### getFileMode

    public int getFileMode(Project p)

  Since:
    Ant 1.5.2

### hasFileModeBeenSet

    public boolean hasFileModeBeenSet()

  Whether the user has specified the mode explicitly.

  Since:
    Ant 1.6

### setDirMode

    public void setDirMode(java.lang.String octalString)

  A 3 digit octal string, specify the user, group and other modes in the standard Unix fashion; optional, default=0755

  Since:
    Ant 1.5.2

### getDirMode

    public int getDirMode(Project p)

  Since:
    Ant 1.5.2

### hasDirModeBeenSet

    public boolean hasDirModeBeenSet()

  Whether the user has specified the mode explicitly.

  Since:
    Ant 1.6

### getRef

    protected AbstractFileSet getRef(Project p)

  A ZipFileset accepts another ZipFileSet or a FileSet as reference FileSets are often used by the war task for the lib attribute

  Overrides:
    `getRef` in class `AbstractFileSet`

### clone

    public java.lang.Object clone()

  Return a ZipFileSet that has the same properties as this one.

  Overrides:
    `clone` in class `FileSet`
  Since:
    Ant 1.6

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.